### Function

# EDataServer debug_log_dump

since: 2.32

#### Declaration [src]

    gboolean
    e_debug_log_dump (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Saves current log information to the given `filename`.

Available since: 2.32

#### Parameters

`filename`

  Type: `const gchar*`

  A filename to save logged information to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.